﻿<%@ Page Language="C#" %>
<%@ import Namespace="System.IO" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<script runat="server">

    private static Int32 _RequestCount; // a statikus értékek megmaradnak két kérés között
    private String _FilePath; // a nem statikus értékek elvesznek

    private void Page_Load(object sender, System.EventArgs e)
    {
        System.Threading.Interlocked.Increment(ref _RequestCount); // a lekérés sorszáma az oldalra, egy olyan változó, amit növelünk (szálbiztosan)

        _FilePath = Environment.GetFolderPath(Environment.SpecialFolder.Personal) + "\\" +
                    _RequestCount.ToString() + ".txt"; // kimenő fájlnév

        StreamWriter writer = File.CreateText(_FilePath);

        try
        {
            writer.WriteLine("Request date: " + DateTime.Now.ToString());
            writer.WriteLine("Execution virtual path: " + Request.CurrentExecutionFilePath); // virtuális útvonalak
            // a Server.HtmlEncode biztosítja, hogy HTML-es kódolással kerüljön a szöveg a kimenetre
            writer.WriteLine("Application virtual path: " + Request.ApplicationPath);
            writer.WriteLine("File virtual path: " + Request.FilePath);
            writer.WriteLine("Request virtual path: " + Request.Path);

            foreach (String formItem in Request.Form) // vezérlők lekérdezése
            {
                writer.WriteLine("Form : " + formItem);
            }

            if (Request.PathInfo == String.Empty) // elérési útvonal információk
            {
                writer.WriteLine("The PathInfo property contains no information.");
            }
            else
            {
                writer.WriteLine(Request.PathInfo);
            }

            writer.WriteLine("Phisical application path: " + Request.PhysicalApplicationPath); // fizikai elérési útvonalak
            writer.WriteLine("Phisical file path: " + Request.PhysicalPath);
            writer.WriteLine("Raw Url: " + Request.RawUrl); // URL
            writer.WriteLine("Request size: " + Request.TotalBytes.ToString() + " bytes");

            writer.WriteLine("Request type: " + Request.RequestType); // kérés típusa
            writer.WriteLine("Host address: " + Request.UserHostAddress); // kliens címe
            writer.WriteLine("Host name: " + Request.UserHostName); // kliens DNS neve

            for (Int32 langCount = 0; langCount < Request.UserLanguages.Length; langCount++) // nyelvek kilistázása
            {
                writer.WriteLine("User Language " + langCount + ": " + Request.UserLanguages[langCount]);
            }

            writer.WriteLine();

            HttpBrowserCapabilities bc = Request.Browser; // böngésző tulajdonságok
            writer.WriteLine("Browser Capabilities:");
            writer.WriteLine("Type = " + bc.Type);
            writer.WriteLine("Name = " + bc.Browser);
            writer.WriteLine("Version = " + bc.Version);
            writer.WriteLine("Major Version = " + bc.MajorVersion);
            writer.WriteLine("Minor Version = " + bc.MinorVersion);
            writer.WriteLine("Platform = " + bc.Platform);
            writer.WriteLine("Is Beta = " + bc.Beta);
            writer.WriteLine("Is Crawler = " + bc.Crawler);
            writer.WriteLine("Is AOL = " + bc.AOL);
            writer.WriteLine("Is Win16 = " + bc.Win16);
            writer.WriteLine("Is Win32 = " + bc.Win32);
            writer.WriteLine("Supports Frames = " + bc.Frames);
            writer.WriteLine("Supports Tables = " + bc.Tables);
            writer.WriteLine("Supports Cookies = " + bc.Cookies);
            writer.WriteLine("Supports VB Script = " + bc.VBScript);
            writer.WriteLine("Supports Java Applets = " + bc.JavaApplets);
            writer.WriteLine("Supports ActiveX Controls = " + bc.ActiveXControls);
            writer.WriteLine("CDF = " + bc.CDF);

            writer.WriteLine();

            if (Request.IsSecureConnection)
            {
                HttpClientCertificate cs = Request.ClientCertificate; // biztonsági tulajdonságok
                writer.WriteLine("ClientCertificate Settings:");
                writer.WriteLine("Certificate = " + cs.Certificate);
                writer.WriteLine("Cookie = " + cs.Cookie);
                writer.WriteLine("Flags = " + cs.Flags);
                writer.WriteLine("IsPresent = " + cs.IsPresent);
                writer.WriteLine("Issuer = " + cs.Issuer);
                writer.WriteLine("IsValid = " + cs.IsValid);
                writer.WriteLine("KeySize = " + cs.KeySize);
                writer.WriteLine("SecretKeySize = " + cs.SecretKeySize);
                writer.WriteLine("SerialNumber = " + cs.SerialNumber);
                writer.WriteLine("ServerIssuer = " + cs.ServerIssuer);
                writer.WriteLine("ServerSubject = " + cs.ServerSubject);
                writer.WriteLine("Subject = " + cs.Subject);
                writer.WriteLine("ValidFrom = " + cs.ValidFrom);
                writer.WriteLine("ValidUntil = " + cs.ValidUntil);
                writer.WriteLine("What's this = " + cs.ToString());
            }
            
            writer.WriteLine();
            writer.WriteLine("Request content:");
            StreamReader sr = new StreamReader(Request.InputStream);
            writer.WriteLine(sr.ReadToEnd());
            sr.Close();
        }

        finally
        {
            writer.Close();
        }
    }


    private void ButtonSendInfo_Click(object sender, System.EventArgs e)
    {
        Response.Clear(); // válasz kitörlése
        Response.Write("Hello, " + _TextBoxName.Text + "! You have created a new  request info file.<br /><br />");
        Response.Write(Server.HtmlEncode(File.ReadAllText(_FilePath)).Replace(Environment.NewLine, "<br />")); // a teljes fájl tartalmát beírjuk szövegként, lecserélve a sorvége jeleket
        Response.End(); // válasz lezárása
    }

</script>
<html xmlns="http://www.w3.org/1999/xhtml" >
<head>
    <title>Request Data Writer</title>
</head>
<body>
    <form id="mainForm" runat="server">
        <p>
        </p>
        <p>
            Enter your name here:
            <asp:TextBox id="_TextBoxName" runat="server"></asp:TextBox>
        </p>
        <p>
            <asp:Button id="_ButtonSendInfo" onclick="ButtonSendInfo_Click" runat="server" Text="Click Here"></asp:Button>
        </p>
    </form>
</body>
</html>
