﻿using System;
using System.Drawing;
using System.Drawing.Drawing2D;
using System.Drawing.Imaging;

namespace ELTE.Web.ImageResponse
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!String.IsNullOrEmpty(Request["text"])) // csak ha van argumentum megadva
            {
                Response.ContentType = "image/jpeg"; // a válasz típusa kép lesz
                Response.Clear(); // az eddigi kimenet törlése
                Response.BufferOutput = true; // kimenet pufferelése

                Font rectangleFont = new Font("Times", 50, FontStyle.Bold); // betűtípus
                Int32 height = 400;
                Int32 width = 800;

                Bitmap bmp = new Bitmap(width, height, PixelFormat.Format24bppRgb);
                Graphics graphics = Graphics.FromImage(bmp);

                graphics.SmoothingMode = SmoothingMode.AntiAlias;
                graphics.Clear(Color.LightBlue);

                graphics.DrawRectangle(Pens.Blue, 1, 1, width - 2, height - 2); // kirajzolás
                graphics.DrawRectangle(Pens.Aqua, 2, 2, width - 4, height - 4);
                graphics.DrawRectangle(Pens.Black, 0, 0, width, height);
                graphics.DrawString(Request["text"], rectangleFont, Brushes.Blue, new PointF(10, 40));

                bmp.Save(Response.OutputStream, ImageFormat.Jpeg); // a képet közvetlenül a kimenő adatfolyamra írjuk

                graphics.Dispose(); // megsemmisítjük a rajzobjektumot
                bmp.Dispose();

                Response.End(); // elküldjük az adatokat a kliensnek
            }
        }

        protected void ButtonSubmit_Click(object sender, EventArgs e)
        {
            Response.Redirect("?text=" + _TextName.Text); // válasz átirányítása
        }
    }
}