﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Details.aspx.cs" Inherits="ELTE.Web.TravelAgency.Details" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Az utazási iroda weblapja - Épület részletei</title>
    <link href="~/Styles.css" rel="stylesheet" type="text/css" />
</head>
<body>
    <form id="form1" runat="server">
    <div class="header">
        <h1>
            Az utazási iroda</h1>
        <h3>
            A legjobb szállásfoglaló</h3>
    </div>
    <div class="content">
        <div class="leftColumn">
            <asp:EntityDataSource ID="_DataCityMenu" runat="server" EnableFlattening="False"
                ConnectionString="name=TravelAgencyEntities" DefaultContainerName="TravelAgencyEntities"
                EntitySetName="City">
            </asp:EntityDataSource>
            <h3>
                Keresés városok szerint</h3>
            <asp:ListView ID="_ListCityMenu" runat="server" DataKeyNames="Id" DataSourceID="_DataCityMenu">
                <EmptyDataTemplate>
                    Nincs elérhető hirdetés.</EmptyDataTemplate>
                <ItemTemplate>
                    <li><a href="Default.aspx?City=<%# Eval("Id") %>">
                        <%# Eval("Name") %></a> </li>
                </ItemTemplate>
                <LayoutTemplate>
                    <ul id="itemPlaceholderContainer" runat="server">
                        <li id="itemPlaceholder" runat="server" />
                    </ul>
                </LayoutTemplate>
            </asp:ListView>
        </div>
        <div class="rightColumn">
            <!-- űrlapnézet, amely egy elem adatait jeleníti meg -->
            <asp:FormView ID="_FormBuilding" runat="server" DataKeyNames="Id" DataSourceID="_DataBuildings">
                <ItemTemplate>
                    <div class="contentHead">
                        <%# Eval("Name") %></div>
                    <div class="contentBody">
                        <table width="600">
                            <tr>
                                <td>
                                    <strong>Város:</strong>
                                    <%# Eval("City.Name") %>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <strong>Tengerpart távolság:</strong>
                                    <%# Eval("SeaDistance") %>
                                    m
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <strong>Tengerpart típus: </strong>
                                    <%# ToShoreType(Eval("ShoreId")) %>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <div class="contentComment"><strong>Leírás:</strong>
                                    <%# Eval("Comment") %></div>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <div class="contentComment"><strong>Képek:</strong><br />
                                        <asp:Repeater ID="_RepeaterImages" runat="server" DataSourceID="_DataImages">
                                            <ItemTemplate>
                                                <a href="Details.aspx?Building=<%# Eval("BuildingId") %>&Image=<%# Eval("Id") %>&Size=large" target="_blank">
                                                    <image src="Details.aspx?Building=<%# Eval("Id") %>&Image=<%# Eval("Id") %>" border="0" class="contentImage">
                                                </a>
                                            </ItemTemplate>
                                        </asp:Repeater>
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </div>
                </ItemTemplate>
            </asp:FormView>
            <table width="600">
                <asp:ListView ID="_ListApparments" runat="server" DataKeyNames="Id" DataSourceID="_DataAppartments">
                    <ItemTemplate>
                        <tr>
                            <td>
                                <div class="contentComment"><strong><%# Eval("Number") %>.</strong> <%# Eval("Comment") %></div>
                                <div class="contentDay"><strong>Fordulónap:</strong> <%# ToDay(Eval("Turnday")) %></div>
                                <div class="contentPrice"><strong>Ár:</strong> <%# Eval("Price") %> EUR/éjszaka</div>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <a href="RentAppartment.aspx?Appartment=<%# Eval("Id") %>" class="contentLink">Szállás lefoglalása</a>
                            </td>
                        </tr>
                    </ItemTemplate>
                    <LayoutTemplate>
                        <ul id="itemPlaceholderContainer" runat="server">
                            <li id="itemPlaceholder" runat="server" />
                        </ul>
                    </LayoutTemplate>
                </asp:ListView>
            </table>
            <asp:EntityDataSource ID="_DataBuildings" runat="server" EnableFlattening="False"
                AutoGenerateWhereClause="True" ConnectionString="name=TravelAgencyEntities" DefaultContainerName="TravelAgencyEntities"
                EntitySetName="Building" Include="City">
                <WhereParameters>
                    <asp:QueryStringParameter Name="Id" QueryStringField="Building" Type="Int32" />
                </WhereParameters>
            </asp:EntityDataSource>
            <asp:EntityDataSource ID="_DataAppartments" runat="server" EnableFlattening="False"
                AutoGenerateWhereClause="True" ConnectionString="name=TravelAgencyEntities" DefaultContainerName="TravelAgencyEntities"
                EntitySetName="Appartment">
                <WhereParameters>
                    <asp:QueryStringParameter Name="BuildingId" QueryStringField="Building" Type="Int32" />
                </WhereParameters>
            </asp:EntityDataSource>
            <asp:EntityDataSource ID="_DataImages" runat="server" EnableFlattening="False"
                AutoGenerateWhereClause="True" ConnectionString="name=TravelAgencyEntities" DefaultContainerName="TravelAgencyEntities"
                EntitySetName="BuildingImage">
                <WhereParameters>
                    <asp:QueryStringParameter Name="BuildingId" QueryStringField="Building" Type="Int32" />
                </WhereParameters>
            </asp:EntityDataSource>
        </div>
    </div>
    </form>
</body>
</html>
