﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="RentAppartment.aspx.cs"
    Inherits="ELTE.Web.TravelAgency.RentAppartment" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Az utazási iroda weblapja - Szállásfoglalás</title>
    <link href="~/Styles.css" rel="stylesheet" type="text/css" />
</head>
<body>
    <form id="_MainForm" runat="server">
    <div class="header">
        <h1>
            Az utazási iroda</h1>
        <h3>
            A legjobb szállásfoglaló</h3>
    </div>
    <div class="content">
        <div class="leftColumn">
            <!-- adatforrás, amely egy entitás modellbeli táblához csatlakozik -->
            <asp:EntityDataSource ID="_DataCityMenu" runat="server" EnableFlattening="False"
                ConnectionString="name=TravelAgencyEntities" DefaultContainerName="TravelAgencyEntities"
                EntitySetName="City">
            </asp:EntityDataSource>
            <h3>
                Keresés városok szerint</h3>
            <!-- a lista az adatforrásból tölti be a tartalmat -->
            <asp:ListView ID="_ListCityMenu" runat="server" DataKeyNames="Id" DataSourceID="_DataCityMenu">
                <EmptyDataTemplate>
                    Nincs hirdetés.<!-- amennyiben nem sikerült betölteni a tartalmat --></EmptyDataTemplate>
                <ItemTemplate>
                    <!-- az elemsablon -->
                    <li><a href="Default.aspx?City=<%# Eval("Id") %>">
                        <%# Eval("Name") %></a>
                        <!-- az Eval metódus olvassa ki a megfelelő tuljadonságot az adatforrásból -->
                    </li>
                </ItemTemplate>
                <LayoutTemplate>
                    <!-- az elhelyezéssablon -->
                    <ul id="itemPlaceholderContainer" runat="server">
                        <li id="itemPlaceholder" runat="server" />
                    </ul>
                </LayoutTemplate>
            </asp:ListView>
        </div>
        <div class="rightColumn">
            <asp:FormView ID="_FormAppartment" runat="server" DataKeyNames="Id" DataSourceID="_DataAppartments">
                <ItemTemplate>
                    <table width="600">
                        <tr>
                            <td>
                                <div class="contentHead">
                                    <%# Eval("Building.Name") %></div>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <div class="contentComment">
                                    <strong>
                                        <%# Eval("Number") %>.</strong>
                                    <%# Eval("Comment") %></div>
                                <div class="contentPrice">
                                    <strong>Ár:</strong>
                                    <%# Eval("Price") %>
                                    EUR/éjszaka</div>
                            </td>
                        </tr>
                    </table>
                    </div>
                </ItemTemplate>
            </asp:FormView>
            <table width="600">
                <tr>
                    <td colspan="4" width="600" align="center" valign="middle">
                        <div id="_DivRentCompleted" runat="server" class="contentHead">
                            A foglalás megtörtént, köszönjük!</div>
                    </td>
                </tr>
                <tr>
                    <td colspan="4" width="600" align="left" valign="middle">
                        <div class="contentHead">
                            Személyes adatok:</div>
                    </td>
                </tr>
                <tr>
                    <td width="120" align="left" valign="middle">
                        Név:
                    </td>
                    <td colspan="3" width="480">
                        <asp:TextBox ID="_TextName" runat="server" Width="260" />
                    </td>
                </tr>
                <tr>
                    <td width="120" align="left" valign="middle">
                        Számlázási cím:
                    </td>
                    <td colspan="3" width="480">
                        <asp:TextBox ID="_TextAddress" runat="server" Width="470" />
                    </td>
                </tr>
                <tr>
                    <td width="120" align="left" valign="middle">
                        Telefonszám:
                    </td>
                    <td width="180">
                        <asp:TextBox ID="_TextPhoneNumber" runat="server" Width="160" />
                    </td>
                    <td width="100" align="left" valign="middle">
                        E-mail cím:
                    </td>
                    <td width="180">
                        <asp:TextBox ID="_TextEmail" runat="server" Width="180" />
                    </td>
                </tr>
                <tr>
                    <td colspan="4" width="600" align="left" valign="middle">
                        <div class="contentHead">
                            Foglalási adatok:</div>
                    </td>
                </tr>
                <tr>
                    <td width="120" align="left" valign="top">
                        Foglalás kezdete:
                    </td>
                    <td colspan="5" width="480" align="left" valign="top">
                        <asp:Calendar ID="_CalendarRentStart" runat="server" />
                    </td>
                </tr>
                <tr>
                    <td width="120" align="left" valign="top">
                        Időtartama:
                    </td>
                    <td colspan="5" width="480" align="left" valign="top">
                        <asp:TextBox ID="_TextRentTime" runat="server" Width="180" />
                    </td>
                </tr>
                <tr>
                    <td colspan="4" width="400" align="left" valign="middle">
                        <!-- validátorok az ellenőrzéshez -->
                        <asp:RequiredFieldValidator ID="_ValidatorName" runat="server" ControlToValidate="_TextName"
                            ErrorMessage="A név megadása kötelező!<br />" Display="Dynamic" />
                        <asp:RequiredFieldValidator ID="_ValidatorEmail" runat="server" ControlToValidate="_TextEmail"
                            ErrorMessage="Az e-mail cím megadása kötelező!<br />" Display="Dynamic" />
                        <asp:RegularExpressionValidator ID="_ValidatorEmailFormat" runat="server" ControlToValidate="_TextEmail"
                            ValidationExpression="\b[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,4}\b" ErrorMessage="Az e-mail nem megfelelő formátumú!<br />"
                            Display="Dynamic" />
                        <asp:CustomValidator ID="_ValidatorRentTime" runat="server" ControlToValidate="_TextRentTime"
                            OnServerValidate="ValidatorRentTime_ServerValidate" ErrorMessage="Az időtartam csak pozitív szám lehet!<br />"
                            Display="Dynamic" />
                    </td>
                </tr>
                <tr>
                    <td colspan="4" align="right">
                        <asp:Button ID="_ButtonSubmit" runat="server" Text="Foglalás" />
                    </td>
                </tr>
                <tr>
                    <td colspan="4" align="right">
                        &nbsp;
                    </td>
                </tr>
            </table>
            <asp:EntityDataSource ID="_DataAppartments" runat="server" EnableFlattening="False"
                AutoGenerateWhereClause="True" ConnectionString="name=TravelAgencyEntities" DefaultContainerName="TravelAgencyEntities"
                EntitySetName="Appartment" Include="Building">
                <WhereParameters>
                    <asp:QueryStringParameter Name="Id" QueryStringField="Appartment" Type="Int32" />
                </WhereParameters>
            </asp:EntityDataSource>
        </div>
    </div>
    </form>
</body>
</html>
